/*
=======================================================================
    INVITACION_BASICA
    
=======================================================================
    TABLA DE CONTENIDO
=======================================================================
    1. Estilos Generales
    2. Encabezado de presentación
    3. Pagina sobrepuesta
    4. Frase personalizable
    5. Cuenta regresiva
    6. Fecha y lugar del evento
    7. Itinerario
    8. RSPV
    9. Dress code
    10. Mesa de regalos
    11. Galería y hashtag
    12. Botón GOTOP
    13. Footer
*/

/*
=======================================================================
    1. ESTILOS GENERALES
=======================================================================
*/
/* Variables */
:root {
    --rosa-uno: #E074A6;
    --rosa-dos: #B6046F;
    --rosa-tres: #D1787E;
    --rosa-cuatro: #EBC1C9;
    --negro: #252525;
    --gris: #6D6D6D;
    --blanco: #EAEAEA;
    --font-base: 'Montserrat', sans-serif;
    --font-subtitulo: 'Dosis', sans-serif;
    --font-titulo: 'Tangerine', cursive;
}

/* Desplazamiento en pagina */
html {
    scroll-behavior: smooth;
}

/* Selector universal */
*,
*::after,
*::before {
    margin: 0;
    padding: 0;
}

/* Color de pagina y tipografía base */
body {
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url(../img/fotos-quinceaneara/quinceanera-portada.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    font-family: var(--font-base) !important;
}

/* Envoltorio de contenido */
.page-wrapper {
    position: relative;
    margin: 0 auto;
    width: 100%;
    min-width: 200px;
    z-index: 9;
    overflow: hidden;
    height: auto;
}

@media only screen and (min-width: 200px) and (max-width: 767px) {
    .page-wrapper {
        overflow: hidden;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .page-wrapper {
        overflow: hidden;
    }
}

/* Animación de página */
.hidden {
    opacity: 0;
    transition: all 0.9s ease-in;
}

.mostrar {
    animation: tracking-in-expand 0.9s linear both;
    opacity: 1;
}

@keyframes tracking-in-expand {
    0% {
        letter-spacing: -.2em;
        opacity: 0
    }

    40% {
        opacity: .6
    }

    100% {
        opacity: 1
    }
}


/* =======================================================================
    2. ENCABEZADO DE PRESENTACIÓN
======================================================================= */
/* Formato de fondo */
#hero {
    height: 41rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Presentación del evento */
#hero #evento h1 {
    color: var(--rosa-dos);
    font-family: var(--font-subtitulo);
    font-size: 5em;
    text-transform: uppercase;
}

#hero #evento h3 {
    color: var(--rosa-dos);
    font-family: var(--font-titulo);
    font-size: 3em;
}

#hero #evento p {
    color: var(--gris);
    font-family: var(--font-subtitulo);
    font-size: 1em;
    text-transform: uppercase;
}

/* =======================================================================
    3. PAGINA SOBREPUESTA
======================================================================= */
#pagina-sobrepuesta {
    width: 100%;
    background-color: #fff;
}

/* =======================================================================
    4. FRASE PERSONALIZABLE: AGRADECIMIENTO DE FESTEJADA Y FAMILIA
======================================================================= */
#txt-personalizado #frase-festejada {
    height: 7rem;
    background-color: var(--rosa-cuatro);
    color: var(--gris);
    font-size: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
}

#txt-personalizado #frase-familiar .card {
    width: 55rem;
    height: 20rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-color: #ffffffb3;
    background-image:linear-gradient(rgba(255, 255, 255, 0.702), rgba(255, 255, 255, 0.7)), url(../img/secciones/tarjeta-familia.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#txt-personalizado #frase-familiar h3 {
    color: var(--rosa-tres);
    font-family: var(--font-titulo);
    font-size: 3em;
}

#txt-personalizado #frase-familiar p {
    color: var(--gris);
    font-family: var(--font-base);
    font-size: 0.9em;
}

/* =======================================================================
    5. CUENTA REGRESIVA
======================================================================= */
#contador {
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0.5)), url(../img/secciones/fondo-secciones.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Contenedor de contador */
#contador .card {
    height: 100vh;
    width: 40rem;
    background-image: linear-gradient(rgba(255, 255, 255, 0.2), rgba(255, 255, 255, 0.5)), url(https://cdn.pixabay.com/photo/2022/04/24/07/32/quinceanera-7153066_1280.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-color: #ffffffb3;
    color: var(--rosa-dos);
    font-family: var(--font-titulo);
}

#contador .card-body {
    position: absolute;
    bottom: 0;
}


#contador .card-body h2 {
    font-size: 4em;
}

/* Circulos del contador */
#contador .simply-section {
    background: var(--rosa-tres);
    width: 6rem;
    height: 6rem;
    margin: 10px 10px;
    border-radius: 25px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: var(--blanco);
    font-family: var(--font-base);
}

/* Números */
#contador .simply-amount {
    display: block;
    font-weight: 300;
    font-size: 30px !important;
    margin-bottom: -5px !important;
}

/* Texto */
#contador .simply-word {
    font-weight: 300 !important;
    font-size: 20px !important;
}

/* =======================================================================
    6. FECHA Y LUGAR DEL EVENTO
======================================================================= */
#fecha-lugar h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

#fecha-lugar p {
    font-size: 1em;
    color: var(--gris);
    margin-bottom: 2%;
}

/* Definicion de tarjeta */
#fecha-lugar .card {
    position: relative;
    display: flex;
    margin: 0 auto;
    border-color: transparent !important;
}

/* Icono en tarjeta */
#fecha-lugar .material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;
    color: var(--rosa-uno) !important;
    font-size: 6em !important;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 4%;
}


/* Icono en tarjeta */
#fecha-lugar .card-body iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

/* Titulo en tarjeta */
#fecha-lugar .card-body .card-title {
    color: var(--rosa-uno);
    text-transform: uppercase;
    text-align: center;
    font-size: 1em;
    margin-top: 1%;
}

/* Parrafo en tarjeta */
#fecha-lugar .card-body .card-text {
    color: var(--gris);
    text-align: center;
    font-size: 1.3em;
    font-weight: 600;
}

/* Parrafo en tarjeta */
#fecha-lugar .card-body #direccion {
    color: var(--gris);
    text-align: center;
    font-size: 0.9em !important;
}

/* Link de boton en tarjeta */
#fecha-lugar .card-body a {
    display: block;
    margin: 0 auto;
    text-decoration: underline;
    text-align: center;
    color: var(--rosa-tres);
    font-size: 0.9em;
    transition: 0.8s ease-in-out;
}

#fecha-lugar .card-body a:hover {
    color: var(--rosa-uno);
    text-decoration: none;
    transition: 0.8s ease-in-out;
}


/* =======================================================================
    7. ITINERARIO
======================================================================= */
/* Titulo de sección */
#itinerario h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

/* Evento */
#itinerario #evento {
    color: var(--gris);
    text-align: center;
    font-size: 1.5em;
    margin-top: 1%;
    letter-spacing: 2px;
}

/* Hora */
#itinerario #hora {
    color: var(--gris);
    text-align: center;
    font-size: 1.2em;
    text-transform: uppercase;
}

/* Detalles del evento */
#itinerario #detalle {
    color: var(--gris);
    text-align: center;
    margin-top: 1%;
    font-size: 1em;
}

.material-symbols-outlined {
    font-variation-settings:
        'FILL' 0,
        'wght' 1200,
        'GRAD' 0,
        'opsz' 48;
    font-size: 80px !important;
    color: var(--rosa-uno) !important;
}

/* =======================================================================
    8. RSPV
======================================================================= */
#rspv-wa .container {
    background-image: linear-gradient(rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.6)), url(../img/secciones/fondo-secciones.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* Titulo sección */
#rspv-wa h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

/* Texto de invitacion */
#rspv-wa p {
    font-size: 1em;
    color: var(--gris);
}

/* Diseño de botón */
#rspv-wa a {
    width: auto;
    height: 4rem !important;
    padding: 1rem 1.6rem 1rem 1.6rem;
    margin-top: 8rem;
    margin-bottom: 5rem;
    border-radius: 0.5rem;
    background-color: var(--rosa-cuatro);
    text-align: center;
    color: var(--negro);
    font-size: 1.2em;
    text-decoration: none;
    transition: 0.8s ease-in-out;
}

#rspv-wa a:hover {
    background-color: var(--rosa-tres);
    box-shadow: inset 20rem 0 0 0 var(--rosa-tres);
    color: var(--blanco);
    text-decoration: none;
    transition: 0.8s ease-out;
}

@media screen and (max-width: 768px) {
    #rspv-wa a {
        padding: 0.8rem 1.5rem 0.8rem 1.5rem; 
        margin-top: 4rem; 
        margin-bottom: 3rem; 
        font-size: 1em;
    }
}


/* =======================================================================
    9. DRESS CODE
======================================================================= */
/* Titulo sección */
#dress-code h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

/* Texto de invitacion */
#dress-code p {
    font-size: 1em;
    color: var(--gris);
}

#dress-code ul,
li {
    font-size: 1em;
    color: var(--gris);
}

/* =======================================================================
    10. MESA DE REGALOS
======================================================================= */
/* Titulo sección */
#mesa-regalos h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

/* Texto de invitacion */
#mesa-regalos p {
    font-size: 1em;
    color: var(--gris);
}

#mesa-regalos img.shop-gift1,
img.shop-gift2 {
    width: 50%;
    height: 90%;
    border-radius: 10px;
    align-items: center;
    border: 1px solid #c9c9c9;
}

/* =======================================================================
    11. GALERÍA Y HASHTAG
======================================================================= */
/* Encabezado de sección */
#galeria-social #frase-fotos {
    height: 8rem;
    background-color: var(--rosa-cuatro);
    color: var(--gris);
    font-size: 1.1em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-wrapper {
    width: 100%;
    padding-top: 15px;
    padding-bottom: 15px;
}

.swiper-slide {
    width: 900px !important;
    height: 600px !important;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
}

.swiper-pagination-bullet-active {
    opacity: 1;
    background: var(--rosa-dos) !important;
}

.swiper-slide img {
    display: block;
    width: auto;
    margin: 0 auto;
    height: 500px;
}

/* Despedida y monograma */
#galeria-social #despedida-mono h2 {
    font-family: var(--font-subtitulo);
    font-size: 3em;
    color: var(--rosa-tres);
}

/* =======================================================================
    12. BOTON GOTOP
======================================================================= */
/* Contenedor de botones */
.float-button-container {
    position: fixed;
    bottom: 0.5rem;
    right: -0.9rem;
    width: 3rem;
    height: 6rem;
    z-index: -1;
}

/* Definicion de forma de boton GOTOP */
.float-button-container #gotop {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: var(--rosa-tres);
    border-radius: 45%;
    cursor: pointer;
    transition: 0.3s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Definicion de forma de boton Whatsapp */
.float-button-container #whatsapp {
    width: 0rem;
    height: 0rem;
    margin-top: 0.5rem;
    background-color: #25D366;
    border-radius: 45%;
    cursor: pointer;
    transition: 0.3s;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: -1;
}

/* Imagen de flecha boton GOTOP */
#gotop svg {
    width: 50%;
    margin: 15% 0% 0% 25%;
    transition: 0.3s;
}

/* Imagen de icono boton Whatsapp */
#whatsapp svg {
    width: 80%;
    margin: 5% 0% 0% 12%;
    transition: 0.3s;
}

/* Animacion de aparicion */
.show {
    z-index: 10;
}

.show #gotop {
    animation: popup 0.5s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #whatsapp {
    animation: popup 0.5s ease-in-out;
    width: 3rem;
    height: 3rem;
    z-index: 11;
}

.show #gotop img {
    transform: translate(-50%, -50%) scale(1);
}

.show #whatsapp img {
    transform: translate(-50%, -50%) scale(1);
}

@keyframes popup {
    0% {
        width: 0rem;
        height: 0rem;
    }

    50% {
        width: 2rem;
        height: 2rem;
    }

    100% {
        width: 3rem;
        height: 3rem;
    }
}

/* =======================================================================
    13. FOOTER
======================================================================= */
#section-rights p {
    color: #8d8d8d;
    margin-right: 5%;
}

/* Imagenes de redes */
#section-rights img {
    width: 30px;
    display: block;
    margin: 1% 0 15% 15%;
}

/* Espacio entre imagenes de redes */
#section-rights #redes img {
    margin: 0 10px;
}